
#Modules

from tkinter import Tk , Canvas,Label, Text, Button
from PIL import Image , ImageTk 
from winsound import PlaySound , SND_PURGE , SND_ASYNC
from random import randint

#Fonctions

def creer_fenetre() :
    fenetre = Tk()
    fenetre.title("Logiciel Scrabble Triche")
    return fenetre

def creer_widgets() :
    zone_graphique = Canvas(fenetre , width=1280, height=720 , bg = 'black')
    zone_graphique.grid(row = 0 , column = 0 , columnspan = 3)
    
    mon_texte = Label(fenetre , text = "Entre un mot : ")
    mon_texte.grid(row = 1 , column = 0)

    champ_saisie = Text(fenetre, height = 2 , width = 100)
    champ_saisie.grid(row = 1 , column = 1)

    bouton_valider = Button(fenetre, text = "Valider" , width = 12 , command = debut)
    bouton_valider.grid(row = 1, column = 2)
    
    compt = 4
    
    score = Label(fenetre,text="Score : "+str(compt))
    score.grid(row=6 ,column=2 ) 

    return zone_graphique, mon_texte, champ_saisie, bouton_valider, score

def debut():
    global mot
    global picsDansCanvas
    global n
    print('tu as cliqué sur le bouton')
    print('le texte entré est ', mot)
    mot = champ_saisie.get("1.0", "end-1c")
    print('ligne',str(n+1),':', mot)
    i = 0
    for lettre in mot:
        if lettre != '\n':
            picture = zone_graphique.create_image(50+100*i, 25+n*120, anchor='nw', image=pic[lettre])
            picsDansCanvas.append(picture)
            i+=1
    n+=1

def creation_dico():
    global pic
    num = 0
    for c in 'abcdefghijklmnopqrstuvwxyz':
        file =str(c)+'.png'
        num+=1
        pic[c] = ImageTk.PhotoImage(Image.open(file),master=fenetre)

def delPics(*args):
    if (picsDansCanvas != []):
        lettre = picsDansCanvas[-1]
        zone_graphique.delete(lettre)
        del(picsDansCanvas[-1])

def delAll(*args):
    global n
    for index in range(len(picsDansCanvas)):
        zone_graphique.delete(picsDansCanvas[index])
    del(picsDansCanvas[:])
    n = 0

def move(event):
    x_click = event.x
    y_click = event.y
    print(x_click, y_click)

def creerPic():
    fond=ImageTk.PhotoImage(Image.open("Fond_scrabble_2.jpeg"),master=fenetre)
    num_fond=zone_graphique.create_image(0,0,anchor='nw',image=fond)
    return fond, num_fond
    

#Main
    
fenetre = creer_fenetre()
zone_graphique, mon_texte, champ_saisie, bouton_valider, score = creer_widgets()
fond, num_fond=creerPic() 
mot = ''
n = 0

pic = {}
picsDansCanvas = []
creation_dico()
#--prop--#

fenetre.bind('<Return>', debut())
fenetre.bind('<Down>', delPics)
fenetre.bind('<End>', delAll)
fenetre.mainloop()

